/* 
   motor2.c ejemplo de utilizacin del controlador V-Omega para los motores
*/

#include "eyebot.h"

meter distancia=0.4;
radPerSec vel_rot = 5.0;
meterPerSec vel_tras=10.0;
radians angulo=1.5;
VWHandle vw;
PositionType pos;

int main ()
{
	LCDClear();
	LCDMode(SCROLLING|NOCURSOR);
	LCDMenu("","","","END");
	
	vw = VWInit(VW_DRIVE,1);
	if(!vw) 
	{
		OSError("Init Error!\n", vw , FALSE);
		return -1;
	}
	VWSetSpeed(vw, 0.0, 0.0);
	VWStartControl(vw,7,0.3,7,0.1);

	LCDPutString("Me muevo ...\n");
	VWSetSpeed(vw, vel_tras, vel_rot);
	OSWait(50);
	VWSetSpeed(vw, 0.0, 0.0);
	OSWait(100);

	VWGetPosition(vw, &pos); 
	LCDPrintf("\nx: %f\ny: %f\nphi: %f\n", pos.x, pos.y, pos.phi);

	LCDPutString("Estoy girando ...\n");
	VWDriveTurn(vw, angulo, vel_rot);
	VWDriveWait(vw);  

	LCDPutString("Me traslado ...\n");
	VWDriveStraight(vw, distancia, vel_tras);
	VWDriveWait(vw);  

	LCDPutString("Hago una curva ...\n");
	VWDriveCurve(vw, distancia, angulo, vel_tras);
	VWDriveWait(vw);  
	LCDPutString("Me he cansado ...\n");

	VWStopControl(vw);
	VWRelease(vw);

	return 0;
}
