/* psd.c */

#include "eyebot.h"

int main ()
{
	int val;
	PSDHandle psd_handle;

	LCDMode(SCROLLING|NOCURSOR);
	LCDClear();
	LCDMenu("","","","END");

	psd_handle = PSDInit(PSD_FRONT); // Inicializa el sensor PSD frontal 

	if(!psd_handle)
	{
		// no olvidar la comprobacin de errores 
		OSError("\nPSDInit Error!\n", psd_handle, FALSE);  
	  return(-1);
	}

	//	 Funciones de lectura del sensor
	PSDStart(psd_handle, TRUE); 	// pone en marcha la lectura continua

	
	while (KEYRead() != KEY4)
	{
		val=PSDGet(psd_handle);	// lee el valor actual 
		LCDSetPos (3, 0);	// posicin en pantalla (fila 3, col. 1)
		LCDPrintf("PSD_FRONT: %3d", val);	// muestra el valor por pantalla 
	}

	PSDStop();			// para los sensores PSD 

	//	 Libera el recurso
	PSDRelease(); 

    return 0;
}
